<?PHP
#
#   FILE:  SPT--RateResource.php
#
#   FUNCTIONS PROVIDED:
#       (none)
#
#   FUNCTIONS EXPECTED:
#       (none)
#
#   OPTIONAL FUNCTIONS:
#       (none)
#
#   FORM FIELDS EXPECTED:
#       F_ResourceId
#           - ID of resource to be rated
#       F_Rating
#           - rating to be given to resource
#
#   Part of the Scout Portal Toolkit
#   Copyright 2003 Internet Scout Project
#   http://scout.cs.wisc.edu
#

# ----- MAIN -----------------------------------------------------------------

# save resource rating
$Resource = new Resource($_GET["F_ResourceId"]);

if (isset($_GET["F_Rating"]))
    $Rating = $_GET["F_Rating"];
else
    $Rating = $_POST["F_Rating"];

$Resource->Rating($Rating);



# head back to full record page
$AF->SetJumpToPage("FullRecord&ResourceId=".
        $_GET["F_ResourceId"]);

?>
